org.bdgenomics.adam.models

# NonoverlappingRegions

###
Related Docs: object NonoverlappingRegions | package models

#### class NonoverlappingRegions extends Serializable

The evaluation of a regionJoin takes place with respect to a complete partition on the total space of the genome. NonoverlappingRegions is a class to compute the value of that partition, and to allow us to assign one or more elements of that partition to a new ReferenceRegion (see the 'regionsFor' method).

NonoverlappingRegions takes, as input, and 'input-set' of regions. These are arbitrary ReferenceRegions, which may be overlapping, identical, disjoint, etc. The input-set of regions _must_ all be located on the same reference chromosome (i.e. must all have the same refName); the generalization to reference regions from multiple chromosomes is in MultiContigNonoverlappingRegions, below.

NonoverlappingRegions produces, internally, a 'nonoverlapping-set' of regions. This is basically the set of _distinct unions_ of the input-set regions.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NonoverlappingRegions
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new NonoverlappingRegions(regions: Iterable[ReferenceRegion])

   regions

     The input-set of regions.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def binaryPointSearch(pos: Long, lessThan: Boolean): Int

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val endpoints: Array[Long]

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def findOverlappingRegions(query: ReferenceRegion): Seq[ReferenceRegion]

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hasRegionsFor[U](regionable: (ReferenceRegion, U)): Boolean

    A quick filter, to find out if we even need to examine a particular input value for keying by nonoverlapping-regions.

    A quick filter, to find out if we even need to examine a particular input value for keying by nonoverlapping-regions. Basically, reject the input value if its corresponding region is completely outside the hull of all the input-set regions.

    regionable

      The input value

    returns

      a boolean -- the input value should only participate in the regionJoin if the return value here is 'true'.

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def mergeRegions(regs: Seq[ReferenceRegion]): List[ReferenceRegion]

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### val referenceName: String

21. #### def regionsFor[U](regionable: (ReferenceRegion, U)): Iterable[ReferenceRegion]

    Given a "regionable" value (corresponds to a ReferencRegion through an implicit ReferenceMapping), return the set of nonoverlapping-regions to be used as partitions for the input value in a region-join.

    Given a "regionable" value (corresponds to a ReferencRegion through an implicit ReferenceMapping), return the set of nonoverlapping-regions to be used as partitions for the input value in a region-join. Basically, return the set of any non-empty nonoverlapping-regions that overlap the region corresponding to this input.

    U

      The type of the input

    regionable

      The input, which corresponds to a region

    returns

      An Iterable[ReferenceRegion], where each element of the Iterable is a nonoverlapping-region defined by 1 or more input-set regions.

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      NonoverlappingRegions → AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped